Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExCFile2.h

Go to the documentation of this file.

    00001 /*
    00002  * ExNihilo 3D Engine
    00003  *
    00004  *  This program is free software; you can redistribute it and/or modify
    00005  *  it under the terms of the GNU General Public License as published by
    00006  *  the Free Software Foundation; either version 2 of the License, or
    00007  *  (at your option) any later version.
    00008  *
    00009  *  This program is distributed in the hope that it will be useful,
    00010  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
    00011  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    00012  *  GNU Library General Public License for more details.
    00013  *
    00014  *  You should have received a copy of the GNU General Public License
    00015  *  along with this program; if not, write to the Free Software
    00016  *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00017  *
    00018  * Please read AUTHORS file !!!
    00019  *
    00020
    00021  *
    00022  */
    00023
    00024 #ifndef __EXCFILE2_H
    00025 #define __EXCFILE2_H
    00026 //--------------------------------
    00027 // File to include
    00028 //--------------------------------
    00029 #include "ExDefine.h"
    00030 //--------------------------------
    00031 struct tFileInfo
    00032 {
    00033         std::string             m_FileName;
    00034         std::string             m_FileType;
    00035         int                             m_NumberElement;
    00036 };
    00037 class ExCFile2
    00038 {
    00039 //--------------------------------
    00040 // Variable
    00041 //--------------------------------
    00042         std::vector<std::string>                        m_VecElement;
    00043         std::vector<std::string>::iterator  m_ItVecElement;
    00044         tFileInfo m_Info;
    00045 public:
    00046
    00047 //--------------------------------
    00048 // Constructor // Destructor
    00049 //--------------------------------
    00050         ExCFile2();
    00051         ~ExCFile2();
    00052 //--------------------------------
    00053 // Methode
    00054 //--------------------------------
    00055         tFileInfo LoadFile(std::string FileName);
    00056         inline tFileInfo GetFileInfo(void){return m_Info;}
    00057         float GetElementFloatAt(int position);
    00058         std::string GetElementStringAt(int position);
    00059         int GetElementIntAt(int position);
    00060 //--------------------------------
    00061 };
    00062
    00063
    00064 #endif // __EXCFILE_H